com.independentsoft.exchange

## Enum DomainSettingName

- java.lang.Object
- - java.lang.Enum<DomainSettingName>
  - - com.independentsoft.exchange.DomainSettingName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DomainSettingName>

      public enum DomainSettingName
      extends java.lang.Enum<DomainSettingName>

  Represents the name of a setting.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXTERNAL_EWS_URL` The external URL of Exchange Web Services.
    `EXTERNAL_EWS_VERSION` The version of Exchange Web Services.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DomainSettingName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DomainSettingName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXTERNAL_EWS_URL

          public static final DomainSettingName EXTERNAL_EWS_URL

      The external URL of Exchange Web Services.

    - #### EXTERNAL_EWS_VERSION

          public static final DomainSettingName EXTERNAL_EWS_VERSION

      The version of Exchange Web Services.

  - ### Method Detail

    - #### values

          public static DomainSettingName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainSettingName c : DomainSettingName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainSettingName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null